# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 63e1a1061affb7c95f66ef053128ab7f0beb70ce
    parent a6dd8044e278feab6ee06a8b38918eda7c2c71ec
    Author: c0dev0id <sh+github@codevoid.de>
    Date:   Sun, 19 Sep 2021 10:02:33 +0200

    sdk - revert font2 patch, cause it's bad

    Diffstat:
    Mconfig.def.h | 6------
    Mconfig.h | 6+-----
    Mx.c | 101-------------------------------------------------------------------------------

    3 files changed, 1 insertion(+), 112 deletions(-)
    diff --git a/config.def.h b/config.def.h
    @@ -6,12 +6,6 @@
      * font: see http://freedesktop.org/software/fontconfig/fontconfig-user.html
      */
     static char *font = "Liberation Mono:pixelsize=12:antialias=true:autohint=true";
    -/* Spare fonts */
    -static char *font2[] = {
    -/*	"Inconsolata for Powerline:pixelsize=12:antialias=true:autohint=true", */
    -/*	"Hack Nerd Font Mono:pixelsize=11:antialias=true:autohint=true", */
    -};
    -
     static int borderpx = 2;

     /*
    diff --git a/config.h b/config.h
    @@ -5,11 +5,7 @@
      *
      * font: see http://freedesktop.org/software/fontconfig/fontconfig-user.html
      */
    -static char *font = "Cousine-12";
    -/* Spare fonts */
    -static char *font2[] = {
    -	"NotoEmoji-12"
    -};
    +static char *font = "Cousine:size=12";

     static int borderpx = 2;
     /*
    diff --git a/x.c b/x.c
    @@ -165,8 +165,6 @@ static void xhints(void);
     static int xloadcolor(int, const char *, Color *);
     static int xloadfont(Font *, FcPattern *);
     static void xloadfonts(const char *, double);
    -static int xloadsparefont(FcPattern *, int);
    -static void xloadsparefonts(void);
     static void xunloadfont(Font *);
     static void xunloadfonts(void);
     static void xsetenv(void);
    @@ -316,7 +314,6 @@ zoomabs(const Arg *arg)
     {
     	xunloadfonts();
     	xloadfonts(usedfont, arg->f);
    -	xloadsparefonts();
     	cresize(0, 0);
     	redraw();
     	xhints();
    @@ -1042,101 +1039,6 @@ xloadfonts(const char *fontstr, double fontsize)
     	FcPatternDestroy(pattern);
     }

    -int
    -xloadsparefont(FcPattern *pattern, int flags)
    -{
    -	FcPattern *match;
    -	FcResult result;
    -
    -	match = FcFontMatch(NULL, pattern, &result);
    -	if (!match) {
    -		return 1;
    -	}
    -
    -	if (!(frc[frclen].font = XftFontOpenPattern(xw.dpy, match))) {
    -		FcPatternDestroy(match);
    -		return 1;
    -	}
    -
    -	frc[frclen].flags = flags;
    -	/* Believe U+0000 glyph will present in each default font */
    -	frc[frclen].unicodep = 0;
    -	frclen++;
    -
    -	return 0;
    -}
    -
    -void
    -xloadsparefonts(void)
    -{
    -	FcPattern *pattern;
    -	double sizeshift, fontval;
    -	int fc;
    -	char **fp;
    -
    -	if (frclen != 0)
    -		die("can't embed spare fonts. cache isn't empty");
    -
    -	/* Calculate count of spare fonts */
    -	fc = sizeof(font2) / sizeof(*font2);
    -	if (fc == 0)
    -		return;
    -
    -	/* Allocate memory for cache entries. */
    -	if (frccap < 4 * fc) {
    -		frccap += 4 * fc - frccap;
    -		frc = xrealloc(frc, frccap * sizeof(Fontcache));
    -	}
    -
    -	for (fp = font2; fp - font2 < fc; ++fp) {
    -
    -		if (**fp == '-')
    -			pattern = XftXlfdParse(*fp, False, False);
    -		else
    -			pattern = FcNameParse((FcChar8 *)*fp);
    -
    -		if (!pattern)
    -			die("can't open spare font %s\n", *fp);
    -
    -		if (defaultfontsize > 0) {
    -			sizeshift = usedfontsize - defaultfontsize;
    -			if (sizeshift != 0 &&
    -					FcPatternGetDouble(pattern, FC_PIXEL_SIZE, 0, &fontval) ==
    -					FcResultMatch) {
    -				fontval += sizeshift;
    -				FcPatternDel(pattern, FC_PIXEL_SIZE);
    -				FcPatternDel(pattern, FC_SIZE);
    -				FcPatternAddDouble(pattern, FC_PIXEL_SIZE, fontval);
    -			}
    -		}
    -
    -		FcPatternAddBool(pattern, FC_SCALABLE, 1);
    -
    -		FcConfigSubstitute(NULL, pattern, FcMatchPattern);
    -		XftDefaultSubstitute(xw.dpy, xw.scr, pattern);
    -
    -		if (xloadsparefont(pattern, FRC_NORMAL))
    -			die("can't open spare font %s\n", *fp);
    -
    -		FcPatternDel(pattern, FC_SLANT);
    -		FcPatternAddInteger(pattern, FC_SLANT, FC_SLANT_ITALIC);
    -		if (xloadsparefont(pattern, FRC_ITALIC))
    -			die("can't open spare font %s\n", *fp);
    -
    -		FcPatternDel(pattern, FC_WEIGHT);
    -		FcPatternAddInteger(pattern, FC_WEIGHT, FC_WEIGHT_BOLD);
    -		if (xloadsparefont(pattern, FRC_ITALICBOLD))
    -			die("can't open spare font %s\n", *fp);
    -
    -		FcPatternDel(pattern, FC_SLANT);
    -		FcPatternAddInteger(pattern, FC_SLANT, FC_SLANT_ROMAN);
    -		if (xloadsparefont(pattern, FRC_BOLD))
    -			die("can't open spare font %s\n", *fp);
    -
    -		FcPatternDestroy(pattern);
    -	}
    -}
    -
     void
     xunloadfont(Font *f)
     {
    @@ -1234,9 +1136,6 @@ xinit(int w, int h)
     	usedfont = (opt_font == NULL)? font : opt_font;
     	xloadfonts(usedfont, 0);

    -	/* spare fonts */
    -	xloadsparefonts();
    -
     	/* colors */
     	xw.cmap = XDefaultColormap(xw.dpy, xw.scr);
     	xloadcols();